GNURadio: Ubuntu 11.10 Install

From SpeedyWiki

Jump to: navigation, search

Cara ini tampaknya tidak recommended jika kita menggunakan USRP1, pada saat compile OpenBTS akan muncul.

configure: error: Package requirements (usrp > 3.1) were not met:
No package 'usrp' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables USRP_CFLAGS
and USRP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Di test menggunakan

pkg-config --cflags usrp

Naga-naga-nya gnuradio versi terbaru tidak membuat libusrp :( .. kita perlu mencoba menggunakan gnuradio versi lama


Ada baiknya mencoba mengcompile menggunakan GIT

 $ git clone git://gnuradio.org/gnuradio
For information about using Git, please see:
http://gnuradio.org/redmine/projects/gnuradio/wiki/DevelopingWithGit

Coba install menggunakan cmake

$ mkdir $(builddir)
$ cd $(builddir)
$ cmake [OPTIONS] $(srcdir)
$ make
$ make test
$ sudo make instal



Sumber: http://gnuradio.org/redmine/wiki/gnuradio/UbuntuInstall

Sebaiknya menggunakan UBUNTU versi 10.10 kalau mau berhasil dengan mudah

Development Tool yang dibutuhkan:

  • g++
  • subversion
  • make
  • autoconf, automake, libtool
  • sdcc
  • guile
  • ccache

Library yang dibutuhkan untuk runtime dan proses compile

  • python-dev
  • FFTW 3.X (fftw3, fftw3-dev)
  • cppunit (libcppunit and libcppunit-dev)
  • Boost 1.35 (or later)
  • libusb and libusb-dev
  • wxWidgets (wx-common) and wxPython (python-wxgtk2.8)
  • python-numpy (via python-numpy-ext) (for SVN on or after 2007-May-28)
  • ALSA (alsa-base, libasound2 and libasound2-dev)
  • Qt (libqt3-mt-dev for versions earlier than 8.04; version 4 works for 8.04 and later)
  • SDL (libsdl-dev)
  • GSL GNU Scientific Library (libgsl0-dev >= 1.10 required for SVN trunk, not in binary repositories for 7.10 and earlier)

Contents

[edit] Instal Aplikasi Pendukung

Update

sudo apt-get update

Instal untuk Ubuntu 11.10

sudo apt-get -y install libfontconfig1-dev libxrender-dev libpulse-dev swig \
g++ automake libtool python-dev libfftw3-dev \
libcppunit-dev libboost-all-dev libusb-dev fort77 sdcc sdcc-libraries \
libsdl1.2-dev python-wxgtk2.8 subversion git-core guile-1.8-dev \
libqt4-dev python-numpy ccache python-opengl libgsl0-dev \
python-cheetah python-lxml doxygen qt4-dev-tools \
libqwt5-qt4-dev libqwtplot3d-qt4-dev pyqt4-dev-tools \
libpcre3 libpcre3-dbg libpcre3-dev libpcrecpp0 \
python-wxgtk2.8 python-wxtools wx2.8-i18n libwxgtk2.8-dev libgtk2.0-dev \
autoconf libtool libosip2-dev libortp-dev \
libusb-1.0-0-dev g++ sqlite3 libsqlite3-dev erlang \
asterisk asterisk-mysql

[edit] Instalasi WxWidget

Bagian ini bisa di skip / di loncat.

Jika ingin menginstall WxWidget yang lebih baru. Tapi ini tidak fatal, kita bisa skip jika tidak terlalu membutuhkan. Jika ingin melakukan juga dapat menjalankan langkah berikut.

Edit /etc/apt/sources.list

# wxWidgets/wxPython repository at apt.wxwidgets.org
deb http://apt.wxwidgets.org/ DIST-wx main
deb-src http://apt.wxwidgets.org/ DIST-wx main  

Contoh untuk gutsy

# wxWidgets/wxPython repository at apt.wxwidgets.org
deb http://apt.wxwidgets.org/ gutsy-wx main
deb-src http://apt.wxwidgets.org/ gutsy-wx main  

Jalankan

sudo apt-get update  

Install

sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-i18n
sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-i18n libwxgtk2.8-dev libgtk2.0-dev

[edit] Instal SWIG

Install secara manual SWIG

Download dari http://sourceforge.net/projects/swig/files/swig/
cp swig-2.0.4.tar.gz /usr/local/src/
cd /usr/local/src/
tar zxvf swig-2.0.4.tar.gz 
cd /usr/local/src/swig-2.0.4/
./configure
make
make install

[edit] Instal QWT

Install secara manual QWT

Download dari http://sourceforge.net/projects/qwt/files/
cp qwt-6.0.1.tar.bz2 /usr/local/src/
cd /usr/local/src/
tar jxvf qwt-6.0.1.tar.bz2 
cd /usr/local/src/qwt-6.0.1/
qmake
make
make install

[edit] Install UHD

Download UHD

Download dari http://files.ettus.com/uhd_releases/003_003_002/

Install UHD

dpkg -i UHD-003.003.002-Ubuntu-11.10-i686.deb

[edit] Handling USRP

Ubuntu menggunakan udev untuk menangani hotplug devices, dan secara default tidak memberikan akses non-root ke USRP. Script berikut akan memberikan akses bagi user untuk menghandel USRP via USB baik secara live atau hot-plug.

sudo addgroup usrp
sudo usermod -G usrp -a <YOUR_USERNAME>
echo 'ACTION=="add", BUS=="usb", SYSFS{idVendor}=="fffe", SYSFS{idProduct}=="0002", GROUP:="usrp", MODE:="0660"' > tmpfile
sudo chown root.root tmpfile
sudo mv tmpfile /etc/udev/rules.d/10-usrp.rules

Pada titik ini, Ubuntu telah di konfigurasi untuk tahu apa yang harus di kerjakan jika medeteksi USRP di USB tapi "udev" perlu me-reload rules untuk memasukan rules yang baru kita buat. Langkah berikut dapat dilakukan sehingga kita tidak perlu me-reboot komputer.

sudo udevadm control --reload-rules

atau

sudo /etc/init.d/udev stop
sudo /etc/init.d/udev start

atau

sudo killall -HUP udevd

Kita dapat mencek jika USRP telah di kenali dengan mengamati /dev/bus/usb setelah USRP di pasang menggunakan perintah

ls -lR /dev/bus/usb | grep usrp

Harusnya akan keluar seperti

crw-rw---- 1 root usrp 189, 1 2010-12-09 17:38 002


Setiap USRP yang terpasang akan terdaftar pada group 'usrp' dan mode 'crw-rw----'.

[edit] Install GNURadio

Sebaiknya pada saat melakukan instalasi GNURadio, kita pasang USRP ke USB port-nya.

Download build-gnuradio

http://www.sbrac.org/files/build-gnuradio

Pastikan

  • Masih ada sisa harddisk 500+ Gbyte.
  • anda memiliki sambungan ke Internet yang baik
  • tidak ada yang menggunakan sambungan Internet tersebut.

Karena script ini akan mendownload gnuradio menggunakan GIT.

Kita akan butuh waktu sekitar 2 jam untuk membuat gnuradio, sebagai super user lakukan

sudo su
mkdir /usr/local/src/gnuradio
cp build-gnuradio /usr/local/src/gnuradio
cd /usr/local/src/gnuradio
chmod a+x build-gnuradio
chmod -Rf 777 /usr/local/src/gnuradio/
chown -Rf <username>.<username> /usr/local/src/gnuradio/
exit
sudo su
exit
sudo su
exit
cd /usr/local/src/gnuradio
./build-gnuradio
Proceed? <y>
Do you have SUDO privileges? <y>

Terakhir biasanya akan keluar warning berikut

************************************************************
You should probably set your PYTHONPATH to:
 
     /usr/local/lib/python2.7/dist-packages
 
in your .bashrc or equivalent file prior to attempting to run
any Gnu Radio applications or Gnu Radio Companion.

Lakukan

vi ~/.bashrc

Tambahkan

PYTHONPATH=/usr/local/lib/python2.7/dist-packages
PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/

Untuk memastikan ada baiknya lakukan

sudo ldconfig
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/

[edit] Referensi

[edit] Pranala Menarik

[edit] Persiapan

[edit] OpenBTS 2.6

[edit] OpenBTS 2.8

[edit] Multi OpenBTS 2.8

[edit] Ettus E110

[edit] GPRS

[edit] Power Amplifier

[edit] Lain Lain

[edit] Catatan Legal dan Pendukung

[edit] Catatan Sejarah

[edit] Dokumentasi Video

Personal tools